.operations-setting {
  background-color: white;
  background: #fff;
  display: flex;
  flex-direction: column;
  padding-bottom: 20px;
  .po-setting-save-section {
    padding: 15px;
  }
  .service-ticket-board-mapping {
    .board-ticket-mapper {
      display: flex;
      .remove-mapping-row {
        height: fit-content;
        margin: auto 0 auto 10px;
      }
    }
    .add-new-board-mapping {
      color: #db7c20;
      margin-left: 7px;
      font-weight: 600;
      cursor: pointer;
      width: fit-content;
    }
    #mapping-error {
      color: red;
      font-weight: 600;
      margin: 10px 0 0 7px;
      font-size: var(--font-s);
    }
  }
  .part-number-exclusion-container {
    width: 50%;
  }
  .horizontal-tabs-container .horizontal-tabs .tab-link {
    font-weight: bold;
    padding: 10px 15px;
    text-transform: uppercase;
  }
  .carrier-tracking-main {
    margin: 15px 15px 0 15px;
    button.square-btn.add-new-mapping.btn.btn-primary {
      float: right;
      margin: 20px 20px 20px 0px;
      width: 75px;
      min-width: unset;
      line-height: 10px;
    }
    .mapping-row {
      padding: 0px 20px;
      .delete-btn {
        margin: 28px 0 0 20px;
      }
    }
  }

  .board-mapping__options-option {
    .field-section {
      .field__input {
        .radio-btn-group {
          display: flex;
          flex-direction: column !important;
        }
      }
    }
  }

  .board-mapping__options-container--nested {
    width: 100%;
  }

  .board-mapping__options {
    margin: 10px 10px 10px 0px;
  }

  .board-mapping-radio {
    max-width: 330px;

    .radio-btn-group .radio-btn {
      width: 100%;

      input[type="radio"][disabled] {
        cursor: not-allowed;
      }
    }
  }

  .board-mapping__options-title {
    font-size: var(--font-m);
    font-weight: 600;
    color: var(--light-black-font);
    padding-bottom: 10px;
  }

  .board-mapping__options-content {
    border: 1px solid #cbcbcb4a;
    padding: 25px;
    min-width: 330px;
    max-height: 150px;
    min-height: 150px;
    overflow: auto;

    // custom scrollbar
    &::-webkit-scrollbar {
      width: 5px;
      height: 5px;
    }

    &::-webkit-scrollbar-track {
      background: none;
      border: none;
    }

    &::-webkit-scrollbar-thumb {
      background: #dcdcdc;
      border-radius: 10px;
    }

    &::-webkit-scrollbar-thumb:hover {
      background: var(--primary);
    }
  }

  .board-mapping-radio__options-content {
    padding: 0 0 0 6px;
    font-weight: 500;

    .radio-btn-group .radio-btn input[type="radio"]:checked,
    .radio-btn-group .radio-btn input[type="radio"]:hover {
      border: 1px solid var(--primary);
    }
    .radio-btn-group .radio-btn {
      --radio-bg: var(--primary);
      padding: 3px 0 0 0;
    }
  }

  &.board-mapping--disabled {
    .checkbox-holder {
      label.checkbox__content {
        margin-top: 0;
      }

      input[type="checkbox"].checkbox__input {
        &:checked + label.checkbox__content {
          &::before {
            border: none;
            background: transparent;
          }
          &::after {
            color: var(--primary);
            background: transparent;
            padding: 0;
          }
        }

        & + label.checkbox__content {
          &::before {
            border: none;
            height: 10px;
            width: 10px;
            border-radius: 50%;
          }
        }

        &:disabled + label.checkbox__content {
          opacity: 0.9;
        }
      }
    }
  }
}

.smartnet-setting {
  display: flex;
  flex-direction: column;

  .attachment-header {
    display: flex;
    justify-content: flex-end;
    height: fit-content;
    margin-bottom: 10px;
    margin-right: 15px;
    .square-btn.btn {
      img {
        margin-right: 5px;
      }
    }
  }

  .footer__action.btn.btn-primary {
    margin: -5px 15px 2px 15px;
  }

  .download-attachment {
    background-size: 28px !important;
  }

  .email-section {
    background: #fff;
    // flex-wrap: wrap;
    display: flex;
    flex-direction: column;
    padding: 10px 0 0 0;

    .label {
      color: black;
    }

    .heading {
      // font-weight: 700;
      // font-size: var(--font-xl);
      // padding: 10px 0 0 35px;
      // border-bottom: 1px solid #ccc;
      // background: #cccccc0f;
      display: none;
    }

    .snt-email {
      background: #fff;
      .submit-email-data {
        width: 125px;
        margin: 0 0 15px 5px;
        border-radius: 5px;
      }
    }

    .tac-email {
      background: #fff;
    }

    .email-body {
      textarea {
        height: 203px !important;
      }
    }
  }

  .attachment-save-section {
    background: white;
    .submit-email-data {
      width: 125px;
      margin: 15px 0px 20px 15px;
      border-radius: 5px;
    }
  }

  .ms-agent-section {
    display: flex;
    .submit-ms-agent {
      width: 125px;
      margin: auto;
    }
  }

  .po-setting-save-section {
    background: white;
    .submit-email-data {
      margin: 0 0px 20px 35px;
    }
  }
  .attachment-section {
    .collapsable-component {
      margin: 15px !important;
    }
  }

  .error-msg {
    color: red;
    background: white;
    display: flex;
    padding: 5px 15px;
    flex-direction: column;
  }
}

.confirm-user-email {
  .modal-dialog {
    min-width: 650px !important;
  }

  .modal-content {
    min-width: 650px !important;
  }
}

.or-carrier-map {
  .field__input {
    input {
      height: 38px !important;
      border: 1px solid #ccc !important;
    }
  }
}

.collections-main-container {
  position: relative;
  .collections-loader {
    position: fixed;
    top: 50%;
    z-index: 5;
    left: 0%;
  }
  .collections-row {
    display: flex;
    position: relative;
    padding-right: 10%;
    .collections-email-template {
      padding: 20px;
    }
    .upload-btn-container {
      width: fit-content;
      height: fit-content;
      position: absolute;
      min-width: unset !important;
      border: none !important;
      z-index: 99;
      padding: 5px !important;
      margin: 50px 0 0 144px;
      .icon-upload {
        width: 16px;
        height: 16px;
        border: unset;
      }
      .custom-file-input {
        width: 0;
        height: 0;
      }
    }
    .upload-btn-container:hover .icon-upload {
      filter: invert(30%) sepia(75%) saturate(1928%) hue-rotate(194deg)
        brightness(85%) contrast(105%) !important;
    }
  }
  .collections-save-btn {
    margin: 20px 0 0 20px;
  }

  .collections-tr-btns {
    position: absolute;
    right: 25px;
    top: 15px;
    z-index: 1;
    button {
      margin-left: 15px;
    }
    .collections-preview-btn > img {
      width: 11px;
    }
  }
}

.collection-notice-main {
  width: 100%;
  position: relative;
  .send-collections-loader {
    position: absolute;
    z-index: 1;
    top: 40%;
  }
  .customer-user-select {
    padding-left: 0;
  }
}

.config-mapping-container {
  width: 100%;
  position: relative;
  .config-mapping-loader {
    position: absolute;
    z-index: 1;
  }
  .config-mapping-heading {
    .add-new-config-mapping {
      position: relative;
      margin: 5px 20px 15px;
      width: 100px;
      min-width: unset;
    }
  }
  .no-mapping-data {
    color: red;
    font-weight: 600;
    font-size: var(--font-xl);
    text-align: center;
    margin-bottom: 20px;
  }
  .config-mapping-table {
    margin: 0px 15px 20px;
    .it-mapping-table-rows .it-table-row.it-row-edit-mode {
      .it-row-col-2 {
        padding-bottom: 0;
      }
      .it-row-col-1 {
        padding-bottom: 0;
      }
    }
    .mapping-config-type {
      padding: 0;
      div.row.field__label {
        display: none;
      }
    }
  }
}

.config-mapping-modal {
  .modal-dialog {
    width: unset;
    .modal-content {
      width: 75%;
      .modal-body {
        padding-left: 0;
        padding-right: 0;
      }
    }
  }
}

.so-po-sync-settings-container {
  position: relative;
  .so-po-sync-spinner {
    z-index: 1;
    position: absolute;
  }
  .submit-so-po-sync {
    margin: 10px 20px;
  }
}
